Summary:	C++ interface to PostgreSQL
Summary(pl.UTF-8):	Interfejs C++ do PostgreSQL
Name:		libpqxx
Version:	4.0.1
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://pqxx.org/download/software/libpqxx/%{name}-%{version}.tar.gz
# Source0-md5:	6ea888b9ba85dd7cef1b182dc5f223a2
URL:		http://pqxx.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	libstdc++-devel
BuildRequires:	postgresql-devel >= 8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes library for C++ interface to PostgreSQL.

%description -l pl.UTF-8
Pakiet ten zawiera biblioteki dla interfejsu C++ do PostgreSQL.

%package devel
Summary:	C++ interface to PostgreSQL - development part
Summary(pl.UTF-8):	Interfejs C++ do PostgreSQL - część programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	postgresql-devel

%description devel
This package includes header files for C++ interface.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe dla interfejsu C++.

%package static
Summary:	C++ interface to PostgreSQL - static libraries
Summary(pl.UTF-8):	Interfejs C++ do PostgreSQL - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package includes static library for interface C++.

%description static -l pl.UTF-8
Pakiet ten zawiera biblioteki statyczne dla interfejsu C++.

%package examples
Summary:	C++ interface to PostgreSQL - examples
Summary(pl.UTF-8):	Interfejs C++ do PostgreSQL - przykładowe programy
Group:		Documentation
Requires:	%{name}-devel = %{version}-%{release}

%description examples
This package includes examples for C++ interface.

%description examples -l pl.UTF-8
Pakiet ten zawiera przykładowe programy dla interfejsu C++.

%package doc
Summary:	C++ interface to PostgreSQL - documentation
Summary(pl.UTF-8):	Interfejs C++ do PostgreSQL - dokumentacja
Group:		Documentation
Requires:	%{name}-devel = %{version}-%{release}

%description doc
This package includes documentation for C++ interface.

%description doc -l pl.UTF-8
Pakiet ten zawiera dokumentację dla interfejsu C++.

%prep
%setup -q

%build
%{__autoconf}
%configure \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

./libtool --mode=install install tools/rmlo $RPM_BUILD_ROOT%{_bindir}

cp -a test/test* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README*
%attr(755,root,root) %{_bindir}/rmlo
%attr(755,root,root) %{_libdir}/libpqxx-*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pqxx-config
%attr(755,root,root) %{_libdir}/libpqxx.so
%{_libdir}/libpqxx.la
%{_includedir}/pqxx
%{_pkgconfigdir}/libpqxx.pc

%files doc
%defattr(644,root,root,755)
%doc doc/html/{Reference,Tutorial}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpqxx.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Apr 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpqxx.git;a=log;h=master

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 7c9e7a8
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 398e5aa
- updated to 4.0.1

* Fri Jun 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 995702b
- ac version, verbose files in system dirs

* Thu Jun 28 2012 Jan Rękorajski <baggins@pld-linux.org> 5a99aae
- updated to 4.0
- new URL

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 55290b7
- rel 2

* Sun Apr 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d017198
- up to 2.6.9

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0a63a31
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bae183e
- converted to UTF-8

* Sun Dec 10 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 26090a5
- rel 3

* Thu Dec 07 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c81173
- rel 2

* Sat Sep 16 2006 Paweł Sikora <pluto@pld-linux.org> adc1092
- obsolete.

* Sat Sep 16 2006 Paweł Sikora <pluto@pld-linux.org> 750011e
- updated to 2.6.8.

* Thu Jun 22 2006 Paweł Sikora <pluto@pld-linux.org> e05d5b7
- updated to 2.6.7.

* Thu Jun 22 2006 Paweł Sikora <pluto@pld-linux.org> 1bee897
- obsolete.

* Thu Jun 22 2006 Paweł Sikora <pluto@pld-linux.org> b25ecdf
- syntax fix.

* Thu Jun 22 2006 Paweł Sikora <pluto@pld-linux.org> cb21303
- obsolete.

* Sun May 28 2006 Paweł Sikora <pluto@pld-linux.org> 82817e5
- updated to 2.6.6 stable, new homepage.

* Sun May 28 2006 Paweł Sikora <pluto@pld-linux.org> 04190b5
- updated for 2.6.6.

* Sun May 28 2006 Paweł Sikora <pluto@pld-linux.org> 25d93e0
- trivial build fix.

* Tue Mar 21 2006 Paweł Sikora <pluto@pld-linux.org> ac86629
- updated to 2.5.5.

